View Issue Details

IDProjectCategoryView StatusLast Update
0001803Enderal[All Projects] AIpublic2020-02-03 02:23
ReportersmoothgoalAssigned Tostuemper 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0001803: Apparitions can't change combat style without hard resummon
DescriptionReason for the high priority: Releasing fix of issue 0000867 will cause severe damage difference between physical and magic using apparitions. Without being able to change the combat style on the fly it will cause magic using apparitions to be much less useful compared to their physical counterparts.

As the title states, one can try to change the combat style, but without manually un-summoning and re-summoning the apparition the change will not take effect. Combined with that one can't summon apparition of in the middle of combat means that the style can't be changed either.

Save file provided:
Starling Navigator with a melee weapon, damage spell, summon spell and magic combat style; Right at the entrance at the Fish Cabin in the Barracks of Undercity with a strong enemy inside the cabin.
Steps To ReproduceCase 1:
1) Change combat style to Magic
2) Un-summon and re-summon the apparition
3) Initiate combat
4) Change the style to Offensive
Result: The apparition keeps casting magic and wont use its weapons until its magicka depletes. Then it will start switching between weapons and magic as it mana regenerates and the apparition consumes it.

Case 2:
1*) Change combat style to Offensive
2) Un-summon and re-summon the apparition
3) Initiate combat
4) Change the combat style to Magic
Result: The apparition will continue to fight in melee and not use a single spell.
*Leave the apparition without weapons. Result at step 3 and 4: as apparition doesn't have a melee weapon it stays with its arms in the air and does nothing.

TagsNo tags attached.
VersionEnglish

Activities

smoothgoal

2020-01-26 19:29

reporter  

Save 473 - Marius Undercity Barracks 25.00.06.ess (3,297,443 bytes)
Save 473 - Marius Undercity Barracks 25.00.06.skse (4,137 bytes)

smoothgoal

2020-01-27 07:09

reporter   ~0003358

Few notes:
In best case scenario this keep the apparition's summon in mid combat. I.e. start with magic, apparition casts its summon, switch to offensive. If not, and without "Ring of the Summoner" affecting magic damage, will lower the usability of the entropy type apparitions.

I know that the "Ring of the Summoner" enchant's damage portion is incredibly tricky to be made to work on magic, but if nothing can be done about it, can we get a change in the enchant's text to state that the damage increase is only physical? Otherwise it looks broken as physical damage can jump up to 4 times(5 if only on the summons) while magical damage is staying unchanged.

stuemper

2020-02-03 02:22

administrator   ~0003363

Last edited: 2020-02-03 02:23

View 2 revisions

Both issues will also be fixed in the next patch.
So there won't be the need to resummon the apparitiont to properly apply the combat style and the player will be able to change the apparition's combat style mid combat.

Issue History

Date Modified Username Field Change
2020-01-26 19:29 smoothgoal New Issue
2020-01-26 19:29 smoothgoal File Added: Save 473 - Marius Undercity Barracks 25.00.06.ess
2020-01-26 19:29 smoothgoal File Added: Save 473 - Marius Undercity Barracks 25.00.06.skse
2020-01-27 03:01 stuemper Assigned To => stuemper
2020-01-27 03:01 stuemper Status new => assigned
2020-01-27 07:09 smoothgoal Note Added: 0003358
2020-02-03 02:22 stuemper Status assigned => resolved
2020-02-03 02:22 stuemper Resolution open => fixed
2020-02-03 02:22 stuemper Note Added: 0003363
2020-02-03 02:23 stuemper Note Edited: 0003363 View Revisions